return function(button_list)
	local ret= {}
	local texs= {Left= "left", Down= "down", Up= "up", Right= "left"}
	for i, button in ipairs(button_list) do
		ret[i]= Def.Sprite{
			Texture= "receptor " .. texs[button] .. " 4x1.png",
			InitCommand= function(self)
				if button == "Right" then self:basezoomx(-1) end
				self:effectclock("beat"):draworder(newfield_draw_order.receptor)
					:diffuseramp():effectcolor1(0.1,0.1,0.1,1):effectcolor2(1,1,1,1)
					:effectperiod(0.5):effecttiming(0.25,0.50,0,0.25)
					:effectoffset(-0.25)
			end,
			WidthSetCommand= function(self, param)
				param.column:set_layer_fade_type(self, "FieldLayerFadeType_Receptor")
			end,
			BeatUpdateCommand= function(self, param)
				if param.pressed then
					self:zoom(.75)
				elseif param.lifted then
					self:zoom(1)
				end
			end,
		}
	end
	return ret
end
